/*
 * Project name:
     PrintOutExample (Sample usage of PrintOut() function)
 * Copyright:
     (c) Mikroelektronika, 2015.
 * Description:
     Simple demonstration on usage of the PrintOut() function
 * Test configuration:
     MCU:             FT900
                      http://www.ftdichip.com/Support/Documents/DataSheets/ICs/DS_FT900_1_2_3.pdf
     Dev. Board:      Clicker 2 for FT900
                      http://www.mikroe.com/ft90x/clicker-2/
     Oscillator:      CPU at full system clock, 100.000MHz
     Ext. modules:    ac:UART_Click - USB UART click
     SW:              mikroC PRO for FT90x
                      http://www.mikroe.com/mikroc/ft90x/
 * NOTES:
    - Place USB UART click board into mikroBUS socket1.
    - Use USART Terminal for communication with controller.
 */

void PrintHandler(char c) {
  UART_Write(c);
}

void main() {
  UART1_Init(56000);     // Initialize Uart at 56000 bps

  PrintOut(PrintHandler,  "/*\r\n"
                          " * Project name:\r\n"
                          "     PrintOutExample (Sample usage of PrintOut() function)\r\n"
                          " * Copyright:\r\n"
                          "     (c) Mikroelektronika, 2015.\r\n"
                          " * Description:\r\n"
                          "     Simple demonstration on usage of the PrintOut() function\r\n"
                          " * Test configuration:\r\n"
                          "     MCU:             FT900\r\n"
                          "                      http://www.ftdichip.com/Support/Documents/DataSheets/ICs/DS_FT905_6_7_8.pdf\r\n"
                          "     Dev. Board:      Clicker 2 for FT90x\r\n"
                          "                      http://www.mikroe.com/ft90x/clicker-2/\r\n"
                          "     Oscillator:      CPU at full system clock, 100.000MHz\r\n"
                          "     ext. modules:    usb uart click :\r\n"
                          "                      http://www.mikroe.com/click/usb-uart/\r\n"
                          "     SW:              mikroC PRO for FT90x\r\n"
                          "                      http://www.mikroe.com/mikroc/ft90x/\r\n"
                          " * NOTES:\r\n"
                          "    - Place USB UART click board into mikroBUS socket1.\r\n"
                          "    - Use USART Terminal for communication with controller.\r\n"
                          " */\r\n", Get_Fosc_kHz()/1000.);
}