/*
 * Project name:
     Sprintl
 * Copyright:
     (c) Mikroelektronika, 2015.
 * Description:
     This is a demonstration of the standard C library sprinti routine usage.
     Two different representations of the same long integer number obtained
     by using the sprintf routine are sent via UART.
 * Test configuration:
     Device:          FT900
                      http://www.ftdichip.com/Support/Documents/DataSheets/ICs/DS_FT900_1_2_3.pdf
     Dev. Board:      Clicker 2 for FT900
                      http://www.mikroe.com/ft90x/clicker-2/
     Oscillator:      CPU at full system clock, 100.000MHz
     Ext. modules:    ac:UART_Click - usb uart click
     SW:              mikroC PRO for FT90x
                      http://www.mikroe.com/mikroc/FT90x/
 * NOTES:
      - Place USB UART click board into mikroBUS socket1.
      - Use USART Terminal for communication with controller.
 */

unsigned long long_no = 1000000;
char buffer[15];

void main(){

  UART1_Init(115200);

  UART1_Write_Text("Integer number representation"); // Write message on UART

  sprintl(buffer, "%10ld", long_no);                 // Format long_no and store it to buffer
  UART1_Write_Text("\r\nd format:");                 // Write message on UART
  UART1_Write_Text(buffer);                          // Write buffer on UART (decimal format)

  sprintl(buffer, "%10lx", long_no);                 // Format long_no and store it to buffer
  UART1_Write_Text("\r\nx format:");                 // Write message on UART
  UART1_Write_Text(buffer);                          // Write buffer on UART (hex format)

  sprintl(buffer, "%10lo", long_no);                 // Format long_no and store it to buffer
  UART1_Write_Text("\r\no format:");                 // Write message on UART
  UART1_Write_Text(buffer);                          // Write buffer on UART (octal format)
}
