#pragma setintsize mE

#define _ETHERNET_FILTER_TYPE_MULTICAST          0b1
#define _ETHERNET_FILTER_TYPE_CRC                0b10

#define _ETHERNET_CFG_HALFDUPLEX                 0b1
#define _ETHERNET_CFG_FULLDUPLEX                 0b10
#define _ETHERNET_CFG_SPD10                      0b100
#define _ETHERNET_CFG_SPD100                     0b1000
#define _ETHERNET_CFG_AUTO_NEGOTIATION           0b10000
#define _ETHERNET_CFG_MANUAL_NEGOTIATION         0b100000

#define _ETHERNET_LED_CFG_LINK                   0
#define _ETHERNET_LED_CFG_TX_ACTIVITY            1
#define _ETHERNET_LED_CFG_RX_ACTIVITY            2
#define _ETHERNET_LED_CFG_COLLISION              3
#define _ETHERNET_LED_CFG_FULL_DUPLEX            4
#define _ETHERNET_LED_CFG_SPEED                  5

#define _ETHERNET_PHY_DEVICE_ADDRESS             8

#define  _ETHERNET_STATUS_ERROR                  1
#define  _ETHERNET_STATUS_SUCCESS                0

/*
 * library globals
 */
typedef struct
{
    unsigned char valid; // valid/invalid entry flag
    unsigned long tmr; // timestamp
    unsigned char ip[4]; // IP address
    unsigned char mac[6]; // MAC address behind the IP address
}
Ethernet_Intern_arpCacheStruct;

extern Ethernet_Intern_arpCacheStruct Ethernet_Intern_arpCache[]; // ARP cash, 3 entries max

extern unsigned char Ethernet_Intern_macAddr[6]; // MAC address of the controller
extern unsigned char Ethernet_Intern_ipAddr[4]; // IP address of the device
extern unsigned char Ethernet_Intern_gwIpAddr[4]; // GW
extern unsigned char Ethernet_Intern_ipMask[4]; // network mask
extern unsigned char Ethernet_Intern_dnsIpAddr[4]; // DNS serveur IP
extern unsigned char Ethernet_Intern_rmtIpAddr[4]; // remote IP Address of host (DNS server reply)

extern unsigned long Ethernet_Intern_userTimerSec; // must be incremented by user 1 time per second

typedef struct
{
    unsigned canCloseTCP : 1;
    unsigned isBroadcast : 1;
}
TEthInternPktFlags;

/*
 * prototypes for public functions
 */
extern void Ethernet_Intern_Init(unsigned char *mac, unsigned char *ip, unsigned char fullDuplex);
extern unsigned char Ethernet_Intern_doPacket();
extern unsigned int Ethernet_Intern_UserUDP(unsigned char *remoteHost, unsigned int remotePort, unsigned int localPort, unsigned int reqLength, TEthInternPktFlags * flags);
extern unsigned int Ethernet_Intern_UserTCP(unsigned char *remoteHost, unsigned int remotePort, unsigned int localPort, unsigned int reqLength, TEthInternPktFlags * flags);
extern void Ethernet_Intern_confNetwork(char *ipMask, char *gwIpAddr, char *dnsIpAddr);