/* Project name:
     HID Read/Write (USB HID Read & Write Test)
 * Copyright:
     (c) Mikroelektronika, 2015.
 * Revision History:
       - initial release;
 * Description:
     This example establishes connection with the HID terminal that is active
     on the PC. Upon connection establishment, the HID Device Name will appear
     in the respective window. The character that user sends to MCU from the HID
     terminal will be re-sent back to user.
 * Test configuration:
     Device:          FT900
                      http://www.ftdichip.com/Support/Documents/DataSheets/ICs/DS_FT900_1_2_3.pdf
     Dev.board:       EasyFT90x v7 - ac:USB
                      http://www.mikroe.com/easyft90x
     Oscillator:      CPU at full system clock, 100.000MHz
     Ext. Modules:    None.
     SW:              mikroC PRO for FT90x
                      http://www.mikroe.com/mikroc/ft90x/
 * NOTES:
     - Turn on VBUS switch at SW3.1 (board specific).
 */

char
  cnt = 0,
  readbuff[64],
  writebuff[64];

void USBInterrupt() iv IVT_DUSB2_IRQ ics ICS_AUTO
{
  USB_Interrupt_Proc();
}

void main(void)
{

  IRQ_CTRL = 0;
  HID_Enable(&readbuff, &writebuff);

  while (1)
  {
    while(!HID_Read()) {}
    for(cnt = 0; cnt < 64; cnt++)
    {
      writebuff[cnt]=readbuff[cnt];
    }
    while(!HID_Write(&writebuff, 64)) {}
  }
}