
const _CAMERA_HOR_RES                : byte; external;
const _CAMERA_VER_RES                : byte; external;
const _CAMERA_BYTES_PER_PIXEL        : byte; external;

const _CAMERA_ID                     : byte; external;

const _CAMERA_CAM_VD_PIN             : byte; external;

// OV7670 Address
const OMNICAM_IIC_ADDR               : byte; external;

const _CAMERA_STATUS_OK              : byte; external;
const _CAMERA_STATUS_FAIL            : byte; external;

//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// OV7670 Registers

const REG_GAIN                       : byte; external;
const REG_BLUE                       : byte; external;
const REG_RED                        : byte; external;
const REG_VREF                       : byte; external;
const REG_COM1                       : byte; external;
const COM1_CCIR656                   : byte; external;
const REG_BAVE                       : byte; external;
const REG_GbAVE                      : byte; external;
const REG_AECHH                      : byte; external;
const REG_RAVE                       : byte; external;
const REG_COM2                       : byte; external;
const COM2_SSLEEP                    : byte; external;
const REG_PID                        : byte; external;
const REG_VER                        : byte; external;
const REG_COM3                       : byte; external;
const COM3_SWAP                      : byte; external;
const COM3_SCALEEN                   : byte; external;
const COM3_DCWEN                     : byte; external;
const REG_COM4                       : byte; external;
const REG_COM5                       : byte; external;
const REG_COM6                       : byte; external;
const REG_AECH                       : byte; external;
const REG_CLKRC                      : byte; external;
const CLK_EXT                        : byte; external;
const CLK_SCALE                      : byte; external;
const REG_COM7                       : byte; external;
const COM7_RESET                     : byte; external;
const COM7_FMT_MASK                  : byte; external;
const COM7_FMT_VGA                   : byte; external;
const COM7_FMT_CIF                   : byte; external;
const COM7_FMT_QVGA                  : byte; external;
const COM7_FMT_QCIF                  : byte; external;
const COM7_RGB                       : byte; external;
const COM7_YUV                       : byte; external;
const COM7_BAYER                     : byte; external;
const COM7_PBAYER                    : byte; external;
const REG_COM8                       : byte; external;
const COM8_FASTAEC                   : byte; external;
const COM8_AECSTEP                   : byte; external;
const COM8_BFILT                     : byte; external;
const COM8_AGC                       : byte; external;
const COM8_AWB                       : byte; external;
const COM8_AEC                       : byte; external;
const REG_COM9                       : byte; external;
const REG_COM10                      : byte; external;
const COM10_HSYNC                    : byte; external;
const COM10_PCLK_HB                  : byte; external;
const COM10_HREF_REV                 : byte; external;
const COM10_VS_LEAD                  : byte; external;
const COM10_VS_NEG                   : byte; external;
const COM10_HS_NEG                   : byte; external;
const REG_HSTART                     : byte; external;
const REG_HSTOP                      : byte; external;
const REG_VSTART                     : byte; external;
const REG_VSTOP                      : byte; external;
const REG_PSHFT                      : byte; external;
const REG_MIDH                       : byte; external;
const REG_MIDL                       : byte; external;
const REG_MVFP                       : byte; external;
const MVFP_MIRROR                    : byte; external;
const MVFP_FLIP                      : byte; external;
const REG_AEW                        : byte; external;
const REG_AEB                        : byte; external;
const REG_VPT                        : byte; external;
const REG_HSYST                      : byte; external;
const REG_HSYEN                      : byte; external;
const REG_HREF                       : byte; external;
const REG_TSLB                       : byte; external;
const TSLB_YLAST                     : byte; external;
const REG_COM11                      : byte; external;
const COM11_NIGHT                    : byte; external;
const COM11_NMFR                     : byte; external;
const COM11_HZAUTO                   : byte; external;
const COM11_50HZ                     : byte; external;
const COM11_EXP                      : byte; external;
const REG_COM12                      : byte; external;
const COM12_HREF                     : byte; external;
const REG_COM13                      : byte; external;
const COM13_GAMMA                    : byte; external;
const COM13_UVSAT                    : byte; external;
const COM13_UVSWAP                   : byte; external;
const REG_COM14                      : byte; external;
const COM14_DCWEN                    : byte; external;
const REG_EDGE                       : byte; external;
const REG_COM15                      : byte; external;
const COM15_R10F0                    : byte; external;
const COM15_R01FE                    : byte; external;
const COM15_R00FF                    : byte; external;
const COM15_RGB565                   : byte; external;
const COM15_RGB555                   : byte; external;
const REG_COM16                      : byte; external;
const COM16_AWBGAIN                  : byte; external;
const REG_COM17                      : byte; external;
const COM17_AECWIN                   : byte; external;
const COM17_CBAR                     : byte; external;

const REG_BRIGHT                     : byte; external;
const REG_REG76                      : byte; external;
const R76_BLKPCOR                    : byte; external;
const R76_WHTPCOR                    : byte; external;
const REG_RGB444                     : byte; external;
const R444_ENABLE                    : byte; external;
const R444_RGBX                      : byte; external;
const REG_HAECC1                     : byte; external;
const REG_HAECC2                     : byte; external;
const REG_BD50MAX                    : byte; external;
const REG_HAECC3                     : byte; external;
const REG_HAECC4                     : byte; external;
const REG_HAECC5                     : byte; external;
const REG_HAECC6                     : byte; external;
const REG_HAECC7                     : byte; external;
const REG_BD60MAX                    : byte; external;

const MTX1                           : byte; external;
const MTX2                           : byte; external;
const MTX3                           : byte; external;
const MTX4                           : byte; external;
const MTX5                           : byte; external;
const MTX6                           : byte; external;
const REG_CONTRAS                    : byte; external;
const MTXS                           : byte; external;
const AWBC7                          : byte; external;
const AWBC8                          : byte; external;
const AWBC9                          : byte; external;
const AWBC10                         : byte; external;
const AWBC11                         : byte; external;
const AWBC12                         : byte; external;
const REG_GFIX                       : byte; external;
const GGAIN                          : byte; external;
const DBLV                           : byte; external;
const AWBCTR3                        : byte; external;
const AWBCTR2                        : byte; external;
const AWBCTR1                        : byte; external;
const AWBCTR0                        : byte; external;
